> ## Documentation Index
> Fetch the complete documentation index at: https://docs.gptproto.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Speech-02-Turbo - Text To Audio - gptproto

> Speech-02-Turbo — Text To Audio (gptproto). GPTProto API reference.

Minimax's GPTProto format for the text to audio API.

<CodeGroup>
  ```bash cURL theme={null}
  curl -X POST "https://gptproto.com/api/v3/minimax/speech-02-turbo" \
    -H "Authorization: YOUR_API_KEY" \
    -H "Content-Type: application/json" \
    -d '{
    "emotion": "surprised",
    "enable_base64_output": false,
    "enable_sync_mode": false,
    "english_normalization": false,
    "pitch": 0,
    "speed": 0.9,
    "text": "Hi there! Minimax speech 2.5 now live on Gptproto! Let's try it!",
    "voice_id": "Deep_Voice_Man",
    "volume": 1,
    "language_boost": "Chinese"
  }'
  ```

  ```python Python theme={null}
  import requests
  import json

  url = "https://gptproto.com/api/v3/minimax/speech-02-turbo"
  headers = {
      "Authorization": "YOUR_API_KEY",
      "Content-Type": "application/json"
  }

  data = {
    "emotion": "surprised",
    "enable_base64_output": false,
    "enable_sync_mode": false,
    "english_normalization": false,
    "pitch": 0,
    "speed": 0.9,
    "text": "Hi there! Minimax speech 2.5 now live on Gptproto! Let's try it!",
    "voice_id": "Deep_Voice_Man",
    "volume": 1,
    "language_boost": "Chinese"
  }

  response = requests.post(url, headers=headers, json=data)
  result = response.json()
  print(json.dumps(result, indent=2))
  ```

  ```javascript JavaScript theme={null}
  const url = "https://gptproto.com/api/v3/minimax/speech-02-turbo";
  const headers = {
    "Authorization": "YOUR_API_KEY",
    "Content-Type": "application/json"
  };

  const data = {
    "emotion": "surprised",
    "enable_base64_output": false,
    "enable_sync_mode": false,
    "english_normalization": false,
    "pitch": 0,
    "speed": 0.9,
    "text": "Hi there! Minimax speech 2.5 now live on Gptproto! Let's try it!",
    "voice_id": "Deep_Voice_Man",
    "volume": 1,
    "language_boost": "Chinese"
  };

  fetch(url, {
    method: "POST",
    headers: headers,
    body: JSON.stringify(data)
  })
    .then(response => response.json())
    .then(data => console.log(data))
    .catch(error => console.error("Error:", error));
  ```

  ```go Go theme={null}
  package main

  import (
      "bytes"
      "encoding/json"
      "fmt"
      "io/ioutil"
      "net/http"
  )

  func main() {
      url := "https://gptproto.com/api/v3/minimax/speech-02-turbo"

      payload := []byte(`{
  "emotion": "surprised",
  "enable_base64_output": false,
  "enable_sync_mode": false,
  "english_normalization": false,
  "pitch": 0,
  "speed": 0.9,
  "text": "Hi there! Minimax speech 2.5 now live on Gptproto! Let's try it!",
  "voice_id": "Deep_Voice_Man",
  "volume": 1,
  "language_boost": "Chinese"
  }`)

      req, _ := http.NewRequest("POST", url, bytes.NewBuffer(payload))
      req.Header.Set("Authorization", "YOUR_API_KEY")
      req.Header.Set("Content-Type", "application/json")

      client := &http.Client{}
      resp, err := client.Do(req)
      if err != nil {
          panic(err)
      }
      defer resp.Body.Close()

      body, _ := ioutil.ReadAll(resp.Body)
      fmt.Println(string(body))
  }
  ```
</CodeGroup>

<CodeGroup>
  ```json 401 - Invalid signature theme={null}
  {
    "error": {
      "message": "Invalid signature",
      "type": "401"
    }
  }
  ```

  ```json 403 - Insufficient balance theme={null}
  {
    "error": {
      "message": "Insufficient balance",
      "type": "403"
    }
  }
  ```

  ```json 500 - Internal server error theme={null}
  {
    "error": {
      "message": "Internal server error",
      "type": "500"
    }
  }
  ```

  ```json 503 - Content policy violation theme={null}
  {
    "error": {
      "message": "Input may not meet the guidelines. Please adjust and try again.",
      "type": "503"
    }
  }
  ```
</CodeGroup>

## Parameters

| Parameter               | Type    | Required | Default                                                                 | Description                     |
| ----------------------- | ------- | -------- | ----------------------------------------------------------------------- | ------------------------------- |
| `emotion`               | string  | ❌ No     | `surprised`                                                             | Emotion parameter               |
| `enable_base64_output`  | boolean | ❌ No     | `false`                                                                 | Enable Base64 Output parameter  |
| `enable_sync_mode`      | boolean | ❌ No     | `false`                                                                 | Enable Sync Mode parameter      |
| `english_normalization` | boolean | ❌ No     | `false`                                                                 | English Normalization parameter |
| `pitch`                 | integer | ❌ No     | `0`                                                                     | Pitch parameter                 |
| `speed`                 | number  | ❌ No     | `0.9`                                                                   | Speed parameter                 |
| `text`                  | string  | ❌ No     | `Hi there! Minimax speech 2.5 now live on Gptproto! Let&apos;s try it!` | Text parameter                  |
| `voice_id`              | string  | ❌ No     | `Deep_Voice_Man`                                                        | Voice Id parameter              |
| `volume`                | integer | ❌ No     | `1`                                                                     | Volume parameter                |
| `language_boost`        | string  | ❌ No     | `Chinese`                                                               | Language Boost parameter        |
